<?php
$ruta = "../";
require_once "../class/c_login.php";

if (!isset($_SESSION['user']))
    die(json_encode(['error' => 'No se ha iniciado sesión']));

$user = unserialize($_SESSION['user']);
$ruta = "../";
require_once "../include/bd_pdo.php";

// if method is get
header("Content-Type: application/json");
if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $user->print_to_log("Acceso a reposiciones");
    if (empty($_GET['horario_id']))
        die(json_encode(['error' => 'No se ha enviado el id del horario']));
    // fecha greater than today
    $reposiciones = $db->query("SELECT fecha, EXTRACT(DOW FROM fecha) as day, EXTRACT(MONTH FROM fecha) as month, EXTRACT(YEAR FROM fecha) as year, EXTRACT(DAY FROM fecha) as dia_mes FROM fechas_clase(:horario_id) WHERE fecha > CURRENT_DATE", [
        'horario_id' => $_GET['horario_id']
    ]);
    echo json_encode([
        'status' => 'success',
        'data' => $reposiciones
    ]);
}
